System 2.0.0.0 4.0.0.0 System.Enum System.Flags

Note The flags and return the socket to a disconnected, reusable state after the file has been transmitted. These flags should not be used on a socket where quality of service (QOS) has been requested, because the service provider might immediately delete any quality of service associated with the socket before the file transfer has completed. The best approach for a QOS-enabled socket is to call when the file transfer has completed, rather than relying on these flags.

The enumeration defines values used in file transfer requests.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.TransmitFileOptions

  Start a transport-level disconnect after all the file data has been queued for transmission. When used with , these flags return the socket to a disconnected, reusable state after the file has been transmitted.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.TransmitFileOptions

  The socket handle may be reused when the request completes. This flag is valid only if is also specified. When used with , these flags return the socket to a disconnected, reusable state after the file has been transmitted.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.TransmitFileOptions

  Use the default thread to process long file transfer requests.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.TransmitFileOptions

  Use kernel asynchronous procedure calls (APCs) instead of worker threads to process long file transfer requests. Long requests are defined as requests that require more than a single read from the file or a cache; the request therefore depends on the size of the file and the specified length of the send packet.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.TransmitFileOptions

  Use system threads to process long file transfer requests.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.TransmitFileOptions

  Complete the file transfer request immediately, without pending. If this flag is specified and the file transfer succeeds, the data has been accepted by the system but not necessarily acknowledged by the remote end. Do not use this flag with the and flags.